EDIT - task #7854

Open issues in TaxDistributionEditor
10/23/2018 04:52 PM - Andreas Miiller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 60%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.5

Severity: normal

Description

e use-NAT tables

¢ improve area selection-dialog#7063

® remove factual data view, wenn opening distribution editor

e sorting does not always work correctly (see attachment)

e warning before opening if number of opened taxa is large (e.g. >200), this may take time

mail from Eckhard:

3

e der Verbreitungseditor erinnert sich auch nicht, wenn ich die Spaltenbreite verandert habe. Kénnte man ihn dazu bringen, die
Spaltenbreite automatisch an die L&dnge der Bezeichnungen in der Kopfzeile anzupassen? => #8047

Related issues:

Related to EDIT - bug #7856: Allow local override for distribution vocabularies Closed
Related to EDIT - feature request #7063: Improve the area selection wizard fo... Closed
Related to EDIT - bug #6159: improve distribution editor in TaxEditor Closed
Related to EDIT - bug #7999: Allow override does not work correctly for distr... Closed
Related to EDIT - bug #8043: ConstraintViolationException in distribution editor Worksforme
Related to EDIT - feature request #8889: Remaining issues for distribution ed... In Progress
Copied to EDIT - task #8047: Remaining issues in TaxDistributionEditor Closed

Associated revisions

Revision 01d7c5e7 - 12/10/2018 05:12 PM - Katja Luther

ref #7854: add ComboBox for status selection and merge distributionElements

Revision 5618ca88 - 12/10/2018 05:21 PM - Katja Luther

ref #7854: add service method to merge a set of descriptionelements

Revision 48fb701d - 12/11/2018 11:07 AM - Katja Luther

ref #7854: correct saving, details view and default source handling

Revision 943e9b24 - 12/12/2018 01:55 PM - Katja Luther

ref #7854: show details for distributions and reload after changing the areas in distribution editor

Revision 9d0707c1 - 12/12/2018 02:30 PM - Katja Luther
ref #7854: fix reload

Revision 331¢7265 - 12/12/2018 02:41 PM - Katja Luther

ref #7854: freezing taxon column

Revision b55fd194 - 12/13/2018 09:23 AM - Katja Luther
https://dev.e-taxonomy.eu/redmine/issues/7063
https://dev.e-taxonomy.eu/redmine/issues/8047

ref #7854: add methods to get DTOs for distribution editor

Revision 9245724f - 12/13/2018 09:48 AM - Katja Luther

ref #7854: improve removing of distributions in NAT table distribution editor

Revision £32128b6 - 12/13/2018 02:28 PM - Katja Luther
ref #7854: add filter to taxon row

Revision da628899 - 12/14/2018 11:34 AM - Katja Luther

ref #7854: add filter column to distribution columns

Revision 5832048 - 12/14/2018 12:26 PM - Katja Luther

ref #7854: changes in details view and supplemental data view need to result in dirty state of the distribution editor

Revision 343fcdde - 12/14/2018 01:20 PM - Katja Luther
ref #7854: adapt to changes in DescriptionDTO

Revision 2afca98f - 12/17/2018 10:20 AM - Katja Luther
ref #7854: add taxon to descriptionDTO

Revision 278a5e0a - 12/17/2018 01:34 PM - Katja Luther
ref #7854 Implement NatTable for distribution editor

Revision 97d21185 - 12/17/2018 01:35 PM - Katja Luther

ref #7854: minor changes in session handling

Revision ¢5d906bd - 12/17/2018 01:49 PM - Katja Luther

ref #7854: implement getRootEnteties for the session view in distributioneditorPart

Revision 576b283c - 12/17/2018 02:53 PM - Katja Luther
ref #7854: changes in taxonDistributionDTO

Revision 2e385b93 - 12/18/2018 11:35 AM - Katja Luther

ref #7854: session handling in distribution editor

Revision 0747234f - 12/18/2018 12:53 PM - Katja Luther

ref #7854: continue session handling in distribution editor

Revision 16833e53 - 12/18/2018 12:56 PM - Katja Luther
ref #7854: adapt DTOs

Revision 3971a637 - 12/19/2018 01:28 PM - Katja Luther
ref #7854: adapt DTOs and merge Method for Distributions

Revision ad2e9ab4 - 12/19/2018 01:32 PM - Katja Luther

ref #7854: continue session handling in distribution editor

Revision 5ab46e89 - 12/19/2018 01:49 PM - Katja Luther

ref #7854: show label corresponding to preferences

Revision 2b73afd3 - 12/20/2018 03:21 PM - Katja Luther

ref #7854: minor changes

Revision 1749b4af - 01/09/2019 02:41 PM - Katja Luther
ref #7854: avoid NPE

Revision bb082354 - 01/10/2019 02:53 PM - Katja Luther
ref #7854: fix exceptions in distribution editor when saving new created descriptions

Revision €0980264 - 01/10/2019 02:57 PM - Katja Luther

ref #7854: handling of new descriptions moved to editor

Revision 0b63dea4 - 01/14/2019 10:18 AM - Katja Luther
ref #7854: avoid NPEs

Revision 10aaa73f - 01/14/2019 10:40 AM - Katja Luther

ref #7854: allow free editing in filter row

Revision 39392527 - 01/14/2019 02:54 PM - Katja Luther

ref #7854: close factual data view when opening distribution editor and open it when opening name editor

Revision a893ba13 - 01/15/2019 02:11 PM - Katja Luther

ref #7854: update details view when editing status in distribu

Revision 54efcbc1 - 01/17/2019 11:22 PM - Katja Luther

ref #7854: move count and default ref in one line

Revision ec6c94b9 - 01/30/2019 10:46 AM - Katja Luther
ref #7854: fix problems in distribution editor

Revision 6ffe25¢9 - 01/30/2019 01:36 PM - Katja Luther
ref #7854: change label for term display

Revision 018b80b2 - 01/30/2019 02:36 PM - Katja Luther

ref #7854: improve handling of selection changes in distribution editor

Revision 2¢5f962c¢ - 01/30/2019 02:38 PM - Katja Luther
ref #7854: minor

Revision 09330146 - 01/30/2019 02:53 PM - Katja Luther

ref #7854: do not create new distribution without status

Revision 2fc06005 - 01/30/2019 02:58 PM - Katja Luther

ref #7854: add max visible items for drop down in distribution editor

Revision 22¢22144 - 01/30/2019 03:06 PM - Katja Luther

ref #7854: ClientAreaResize to avoid scrollbars where it is not needed

Revision ¢3ef0593 - 01/30/2019 03:11 PM - Katja Luther
ref #7854: minor

Revision 48f770f5 - 01/31/2019 01:03 PM - Andreas Miiller
ref #7854 Fix NPE in TaxonDistributionDTO

Revision b81fb3cb - 01/31/2019 01:19 PM - Katja Luther
ref #7854: fix saving problem

Revision ac05a823 - 01/31/2019 03:15 PM - Katja Luther

ref #7854: fix problem of wrong setting of values in other cell

Revision e2bf52fe - 01/31/2019 06:12 PM - Andreas Muller
ref #7854 Fix NPE in TaxonDistributionDTO (2nd try)

Revision a559c7f6 - 02/04/2019 01:16 PM - Katja Luther

03/13/2024

3/20



ref #7854: correct handling when first entry is none-term and add rank display in distribution editor

Revision 663a45e5 - 02/04/2019 01:55 PM - Katja Luther

ref #7854: fix filter for none status and adapt filter to status display preference

Revision f6353ba0 - 02/06/2019 09:55 AM - Katja Luther
ref #7854: label of default source

Revision 3d620eb4 - 02/06/2019 10:11 AM - Katja Luther

ref #7854: button for removing default source

Revision b512f232 - 02/06/2019 10:49 AM - Katja Luther

ref #7854: string externalization

Revision 88672879 - 02/06/2019 11:43 AM - Katja Luther

ref #7854: use preferred terms for PA terms if none are selected for distribution editor

Revision 61240256 - 02/06/2019 02:23 PM - Katja Luther

ref #7854: continue order of columns in distribution editor

History

#1 - 10/23/2018 06:07 PM - Andreas Miller

- Related to bug #7656: Adapt inverse symbol for MisappliedName relationship type added

#2 - 10/23/2018 06:07 PM - Andreas Miiller

- Related to deleted (bug #7656: Adapt inverse symbol for MisappliedName relationship type)

#3 - 10/23/2018 06:07 PM - Andreas Miiller

- Related to bug #7856: Allow local override for distribution vocabularies added

#4 - 10/23/2018 06:08 PM - Andreas Miiller

- Related to feature request #7063: Improve the area selection wizard for distribution editor added

#5 - 10/23/2018 07:25 PM - Andreas Miller

- Description updated

#6 - 10/24/2018 04:21 PM - Andreas Miiller

- Description updated

#7 - 10/24/2018 05:41 PM - Andreas Miiller
- Related to bug #6159: improve distribution editor in TaxEditor added

#8 - 10/24/2018 05:52 PM - Andreas Miiller
- File picture829-1.png added

- Description updated

#9 - 10/24/2018 05:57 PM - Andreas Miuller

- Description updated

#10 - 11/26/2018 12:19 PM - Katja Luther

- Description updated

#11 - 12/13/2018 02:57 PM - Katja Luther
- Status changed from New to In Progress

- Priority changed from New to Highest
in branch distributionEditorNatTable a first implementation of the distribution editor with NAT tables is available.
Feature already implemented:
e all features available in the previous implementation

¢ freeze the first column

e filter column -butatthe-mementitenly-worksforthe taxen-column

still open:

remember the column widths
iterfor distributi

handling of areas with more then one distribution

#12 - 12/18/2018 01:19 PM - Katja Luther
the branch is now merged to develop.
There are still some problems with multiple representation exceptions.

#13 - 01/16/2019 11:28 PM - Andreas Miiller
- File picture798-1.png added

The dropbox for states opens on top. This leads to a cut of the list which makes it impossible to choose from the topmost states. In the following
screenshot there should be more available states abover "casual: presence questionable:

Ll
[] naturalised: presence questionable Fa (RO
Cut | }'{ [] naturalized invasive: presence questionable cdr
[] naturalized non-invasive /mode
roject Run  Window Help g naturalized non-invasive: presence questionable
not endemic
- O~ %"ftEi\ R ] unknown endemism
] absent 01161:
Extrias  Admin  Hilfe ] native: formerly native
terCuche henul [] reported in error
Suche - . .
[] native: reported in error
= O || Merkmalsbaum-Editor [] introduced: reported in error
= <'='|=f:> [] introduced: formerly introduced
ficatior IE cultivated: reported in error
nport) [] endemic: reported in error
ation 5§ Taxon | doubtfully native: reported in error
ation 5 [] naturalised: reported in error
ation 5 1 Abies (ddd) albas | [] casual: reported in error
tor Bufonia kotschy... CU|t|VEtEdE[mtrnduced dou...
3 Mein zoow cultivated, prese.. cultivated: repor...
. 4 Move testeins cultivated: repor...

#14 - 01/16/2019 11:47 PM - Andreas Miiller

In preferences translate possible configuration terms "Show IdInVocabulary", ...

Also remove "Show" from all entries. Simply use "Label" (not title!), "Symbol 1" (please add whitespace), "Symbol 2", "ID in vocabulary" (whitespace,
no camel case!)

#15 - 01/16/2019 11:48 PM - Andreas Miiller

Multiple cell selection in table is currently possible. As there is no function related to this we should remove this feature for now.

#16 - 01/16/2019 11:52 PM - Andreas Miiller
#17 - 01/16/2019 11:53 PM - Andreas Miiller

- Status changed from In Progress to Feedback

" " " "

#20 - 01/17/2019 12:03 AM - Andreas Miiller

Not urgent but todo at some time: try to optimize the column width at start or after area selection. Details may be discussed. We have/had a similar
discussion for the bulk editor in some other ticket.

#21 - 01/17/2019 12:15 AM - Andreas Miller

#23 - 01/17/2019 12:25 AM - Andreas Miiller

Andreas Miller wrote:
The dropbox for states opens on top. This leads to a cut of the list which makes it impossible to choose from the topmost states. In the following

screenshot there should be more available states abover "casual: presence questionable":

This is the case only if the list is too long to show up in full below the cell.

#24 - 01/17/2019 12:27 AM - Andreas Miiller

Critical: saving after multiple changes (maybe even of the same cell) seems to crash the application (no return from save command - "keine
Ruckmeldung"). Happened to me twice now within short time. Saving small amounts worked well.

#25 - 01/17/2019 12:31 AM - Andreas Miiller
Andreas Muller wrote:
Below the row count (element count) there is a lot of empty space. Can this be reduced?

OK, | see this is the line for preselected source. If possible we should try to put it into the same line as the count. But maybe difficult because row
count belongs to NAT table? If really impossible we should show the source line only if a value is given AND move it to the left.

#26 - 01/17/2019 12:38 AM - Andreas Miuller

... or move it to the top. Needs to be tested what looks better.

#27 - 01/17/2019 12:40 AM - Andreas Miuller

Andreas Muller wrote:

Critical: saving after multiple changes (maybe even of the same cell) seems to crash the application (no return from save command - "keine
Ruckmeldung"). Happened to me twice now within short time. Saving small amounts worked well.

Or maybe it is also related to usage of preselected sources? It happened again now after selecting source, before it didn't with a couple of changes.

#28 - 01/17/2019 09:58 AM - Andreas Miuiller

Andreas Muller wrote:
Critical: saving after multiple changes (maybe even of the same cell) seems to crash the application (no return from save command - "keine
Rickmeldung"). Happened to me twice now within short time. Saving small amounts worked well.

After longer time we get:

login : testi
editor version : 5.5.0.201901161229
server : (edit-test)
schema version
os : Windows Server 2012 R2 6.3 amd64
Java : 1.8.0_121
org.springframework.remoting.RemoteAccessException: Could not access HTTP invoker remote service at [http://te
st.e-taxonomy.eu:80/cdmserver/rem_conf_am/remoting/term.service]; nested exception is org.apache.http.NoHttpRe
sponseException: Did not receive successful HITP response: status code = 503, status message = [Service Unavai
lable]

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.convertHttpInvokerAccessException
(HttpInvokerClientInterceptor.java:216)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerClientIntercept
or.java:147)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvocation. java:17
9)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$Proxy46.findWithoutFlush (Unknown Source)

at eu.etaxonomy.cdm.api.cache.CdmServiceCacher.findByUuid (CdmServiceCacher. java:93)

at eu.etaxonomy.cdm.api.cache.CdmCacher.load(CdmCacher. java:134)

at eu.etaxonomy.cdm.model.common.Language.getDefaultLanguage_aroundBody996 (Language. java:1304)

at eu.etaxonomy.cdm.model.common.Language.getDefaultLanguage (Language. java:l)

at eu.etaxonomy.cdm.model.common.Language.DEFAULT_aroundBody982 (Language.java:1148)

at eu.etaxonomy.cdm.model.common.Language.DEFAULT (Language. java:1l)

at eu.etaxonomy.cdm.model.common.TermBase.getLabel (TermBase. java:208)

at sun.reflect.GeneratedMethodAccessor75.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.hibernate.proxy.pojo.javassist.JavassistLazyInitializer.invoke (JavassistLazyInitializer.java:79)

at eu.etaxonomy.cdm.model.description.PresenceAbsenceTerm_$$_jvstleb_9.getLabel (PresenceAbsenceTerm_$$_jvs
tleb_9.java)

at eu.etaxonomy.taxeditor.editor.view.checklist.e4.DistributionColumnAccessor.lambda$0 (DistributionColumnA
ccessor. java:80)

at java.lang.Iterable.forEach(Iterable.java:75)

at eu.etaxonomy.taxeditor.editor.view.checklist.ed4.DistributionColumnAccessor.getDataValue (DistributionCol
umnAccessor. java:80)

at eu.etaxonomy.taxeditor.editor.view.checklist.e4.DistributionColumnAccessor.getDataValue (DistributionCol
umnAccessor. java:1l)

at org.eclipse.nebula.widgets.nattable.data.ListDataProvider.getDataValue (ListDataProvider.java:51)

at org.eclipse.nebula.widgets.nattable.layer.Datalayer.getDataValue (DatalLayer. java:164)

at org.eclipse.nebula.widgets.nattable.layer.Datalayer.getDataValueByPosition (DataLayer.java:447)

at org.eclipse.nebula.widgets.nattable.layer.AbstractIndexLayerTransform.getDataValueByPosition (AbstractIn
dexLayerTransform. java:358)

at org.eclipse.nebula.widgets.nattable.layer.cell.AbstractLayerCell.getDataValue (AbstractLayerCell. java:64

at eu.etaxonomy.taxeditor.editor.view.checklist.ed4.DistributionCellSelectionListener.handlelLayerEvent (Dist
ributionCellSelectionListener. java:52)

at org.eclipse.nebula.widgets.nattable.layer.AbstractLayer.firelLayerEvent (AbstractlLayer.java:307)

at org.eclipse.nebula.widgets.nattable.selection.SelectionlLayer.fireCellSelectionEvent (SelectionLayer. java
:592)

at org.eclipse.nebula.widgets.nattable.selection.SelectCellCommandHandler.doCommand (SelectCellCommandHandl
er.java:42)

at org.eclipse.nebula.widgets.nattable.selection.SelectCellCommandHandler.doCommand (SelectCellCommandHandl
er.java:l)

at org.eclipse.nebula.widgets.nattable.layer.AbstractLayer.doCommand (AbstractLayer. java:186)

at org.eclipse.nebula.widgets.nattable.layer.AbstractIndexLayerTransform.doCommand (AbstractIndexLayerTrans
form. java:105)

at org.eclipse.nebula.widgets.nattable.selection.SelectionLayer.doCommand (SelectionLayer.java:579)

at org.eclipse.nebula.widgets.nattable.layer.AbstractIndexLayerTransform.doCommand (AbstractIndexLayerTrans
form. java:109)

at org.eclipse.nebula.widgets.nattable.layer.CompositeLayer.doCommandOnChildLayers (CompositelLayer. java:159

at org.eclipse.nebula.widgets.nattable.layer.CompositeLayer.doCommand (Compositelayer.java:151)
at org.eclipse.nebula.widgets.nattable.freeze.CompositeFreezelLayer.doCommand (CompositeFreezelayer. java:148

at org.eclipse.nebula.widgets.nattable.grid.layer.GridLayer.doCommandOnChildLayer (GridLayer.java:113)
at org.eclipse.nebula.widgets.nattable.grid.layer.GridLayer.doCommandOnChildLayers (GridLayer. java:99)
at org.eclipse.nebula.widgets.nattable.layer.CompositeLayer.doCommand (CompositeLayer. java:151)

at org.eclipse.nebula.widgets.nattable.grid.layer.GridLayer.doCommand (GridLayer.java:187)
at org.eclipse.
at org.eclipse.
at org.eclipse.

tHandler. java:45)

at
at
at
at
at
at
at
at

Caused

3, status message =

org.
org.
org.
org.
org.
org.
org.

org

by:

eclipse.
eclipse.
eclipse.
eclipse.
eclipse.
eclipse.
eclipse.
.eclipse.

nebula.widgets.nattable.NatTable.doCommand (NatTable. java:820)
nebula.widgets.nattable.selection.action.SelectCellAction.run (SelectCellAction. java:25)
nebula.widgets.nattable.ui.mode.ConfigurableModeEventHandler.mouseDown (ConfigurableModeEven

nebula.widgets.nattable.ui.mode.ModeSupport .mouseDown (ModeSupport.java:108)

swt.

swt
swt

swt.

swt
swt

widgets.
.widgets.
.widgets.
widgets.
.widgets.
.widgets.

TypedListener.handleEvent (TypedListener. java:193)
EventTable.sendEvent (EventTable. java:84)
Display.sendEvent (Display.java:4418)
Widget.sendEvent (Widget.java:1079)
Display.runDeferredEvents (Display.java:4236)
Display.readAndDispatch (Display. java:3824)

e4.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java:1121)

org.apache.http.NoHttpResponseException: Did not receive successful HTTP response: status code = 50
[Service Unavailable]

at org.springframework.remoting.httpinvoker.HttpComponentsHttpInvokerRequestExecutor.validateResponse (Http
ComponentsHttpInvokerRequestExecutor. java:357)
at org.springframework.remoting.httpinvoker.HttpComponentsHttpInvokerRequestExecutor.doExecuteRequest (Http

ComponentsHttpInvokerRequestExecutor. java:230)
at eu.etaxonomy.taxeditor.service.CdmServiceRequestExecutor.doExecuteRequest (CdmServiceRequestExecutor. jav

a:6l)

71 more

#29 - 01/17/2019 09:59 AM - Andreas Muller

... hmm, maybe this was not the original message after save but a bit later and similar

#30 - 01/17/2019 10:14 AM - Andreas Miiller
- Description updated

#31 - 01/17/2019 10:51 AM - Katja Luther
- Description updated

- Status changed from Feedback to In Progress

the selection should work now, | missed to commit the changes in details view.

#32 - 01/17/2019 10:59 AM - Katja Luther

How long did you work with the distribution editor when the saving did not work anymore?

#33 - 01/17/2019 11:31 AM - Andreas Miuller

- Related to bug #7999: Allow override does not work correctly for distribution areas added

#34 - 01/17/2019 02:02 PM - Andreas Miiller

- Status changed from In Progress to Feedback

was the status change on purpose?

#35 - 01/17/2019 02:02 PM - Andreas Miiller

Katja Luther wrote:

How long did you work with the distribution editor when the saving did not work anymore?

| did maybe 20-30 changes in about 10 differnt taxa

#36 - 01/17/2019 02:33 PM - Andreas Miiller

Katja Luther wrote:

the selection should work now, | missed to commit the changes in details view.

The detail view seems now always to be synchronized, but the critical issue that the selected value from the dropdown is not taken as a value still
exists. See #7854#note-17. This occurrs if you want to change a value, e.g. | never manage to change from absent to present. | need to remove
absent first and then | can set present. The other way round it works, changing present to absent.

#37 - 01/17/2019 02:35 PM - Andreas Miiller

03/13/2024

8/20


https://dev.e-taxonomy.eu/redmine/issues/7854#note-17

- Description updated
#38 - 01/17/2019 02:56 PM - Katja Luther
Andreas Muller wrote:
Katja Luther wrote:
the selection should work now, | missed to commit the changes in details view.
The detail view seems now always to be synchronized, but the critical issue that the selected value from the dropdown is not taken as a value

still exists. See #7854#note-17. This occurrs if you want to change a value, e.g. | never manage to change from absent to present. | need to
remove absent first and then | can set present. The other way round it works, changing present to absent.

| can't reproduce this.
#39 - 01/17/2019 09:35 PM - Katja Luther
Katja Luther wrote:
Andreas Miiller wrote:
Katja Luther wrote:
the selection should work now, | missed to commit the changes in details view.
The detail view seems now always to be synchronized, but the critical issue that the selected value from the dropdown is not taken as a

value still exists. See #7854#note-17. This occurrs if you want to change a value, e.g. | never manage to change from absent to present. |
need to remove absent first and then | can set present. The other way round it works, changing present to absent.

| can't reproduce this.

no | think that was because the ticket was still open with the status "in process"

#40 - 01/17/2019 09:40 PM - Katja Luther

- Description updated

#41 - 01/17/2019 11:08 PM - Katja Luther
- Description updated
Andreas Muller wrote:
The automated source attachement often does not work or is at least not shown in the details view immediately. The later might be the case as

the details view often does not update correctly after selection change.

When the source was not opened before in another details view, it is still collapsed but | could not reproduce it that it does not work.

#42 - 01/23/2019 01:41 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

#43 - 01/28/2019 10:51 AM - Andreas Miiller

- Status changed from Feedback to Resolved
#44 - 01/29/2019 09:27 PM - Andreas Miiller
Katja Luther wrote:
Andreas Miiller wrote:
The detail view seems now always to be synchronized, but the critical issue that the selected value from the dropdown is not taken as a

value still exists. See #7854#note-17. This occurrs if you want to change a value, e.g. | never manage to change from absent to present. |
need to remove absent first and then | can set present. The other way round it works, changing present to absent.

| can't reproduce this.
The issue still exists and is critical. For reproduction | try again to describe what | did.

1. Open with nightly in rem_conf_am distribution editor for children of Testklass-Media test.

2. Select some areas

3. Select status: endemic, reported in error for Taxon A, area a

4. click to another cell

5. Go back to cell Taxon A, area a

6. Select absent by clicking on the checkbox for absent => the selected value is still "endemic, reported in error"

Now | realized that it is important to click the checkbox, not the text. With clicking the text it works. This supports my first idea that the use of the
checkboxes creates something like a multi-select but only the first term of the multi-select is returned or used.
Again my question, if this checkbox is necessary. It is unusual to have checkboxes for a simple dropdown.

#45 - 01/29/2019 09:30 PM - Andreas Miiller
- File picture907-1.png added
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miller to Katja Luther

The filter for status shows the "None" state as default toString:

Areal Land3 L
te...| PresenceflbsenceTerm#0+<9610a568-6eb7-45fa-80e8-adddb514d4daax>
ida | Test PAT
endemic

present
doubtfully present

native

Please use a suitable label, e.g. "None"

#46 - 01/29/2019 11:24 PM - Andreas Miiller
- File picture477-1.png added
- File picture477-2.png added
Katja Luther wrote:
Andreas Miiller wrote:
The automated source attachement often does not work or is at least not shown in the details view immediately. The later might be the case
as the details view often does not update correctly after selection change.

When the source was not opened before in another details view, it is still collapsed but | could not reproduce it that it does not work.

Also this is still open. This:

¥ UESCRPTon EIeMent: LISTRDuTion Change Type
Gebiete auswihlen | |Quel|e auswéhlen
Area Areal | =
Taxon Adbc Land3 Land6 Land? T
Distribution Status | pative v
. . . Time scope 3
Media test subsp...| endemic: report... native: doubtfull...
Media test var. ja...|casual: reported m ~ Sources +
Mo references yet.
b Media ar

is what | get, when |
1. open the distribution editor
2. Select a source (not to be seen in the picture)
3. Click on Taxon Media test var. xxx, Areat
4. Select native as status

=> no source in the details view to be seen

Even more strange:
1. Click on Taxon Media test var. xxx, Land5
2. Going back againg to Area1l
3. And again clicking on Land5 Shows the reference in Land5, though no status was added yet here

—_— |mg weruns Lea

+ Description Element: Distribution

Change Type
Gebiete auswihlen | | Quelle auswihlen
Area | Land3 | =
Landf Land7 L
Distribution Status W

Time scope ]

Orig. Source Type | PrimaryTaxonomicSource

s
Reference Acta Univ.Carol,, Syt. |@|

Reference Detail

ITh fem Cmpvmmm

#47 - 01/29/2019 11:27 PM - Andreas Miiller
- File picture562-1.png added

Generally it happens not so seldom that | click in a cell, the dropdown immediately opens but the details view does not react:

Here, for example, Details View still shows Land 5 but | clicked afterwards into Land6 but Details View does not follow:

(i | HO o vasu
= 08 ||[&Ff Details 2
+ Description Element: Distribution Chang

Gebiete auswihlen | |Quel|e auswihlen |

Area | Lands
Distribution Status

ds Land7

Time scope [

EE « Sources +

U PrimaryTaxonomicSource

E Z::te:t'ixl— Acta Univ.Carol., Syt. |E|@

O present
[] doubtfully present

#48 - 01/29/2019 11:35 PM - Andreas Miiller
- % Done changed from 0 to 30

In general | wonder if the behaviour that clicking into the cell immediately opens the dropdown is really wanted. | often click into a cell simply to leave
the current selection/dropdown. E.g. | want to go to a cell below the currently selected cell without doing any selection. This is not possible because

the cell is not visible (covered by dropdown), so again | have to click in some cell which immediately opens a dropdown which is kind of annoying. It
often does not feel good.

To me it seems like a second click (e.g. on the dropdown arrow) or a double click is the better solution to distinguish selection (e.g. to just show data
in details view, etc.) and editing.

@Patrick: what is your configuration and experience in the matrix editor here?

#49 - 01/29/2019 11:39 PM - Andreas Miiller
- File picture958-1.png added

It seems to be a problem with the enter cell event. Here | opened a fresh DistrEditor and clicked on the first empty cell.
Distribution Editor &3 = O | [ Details &2
ekanntes Objekt. Detailf |

Gebiete auswihlen | |Quel|e auswihlen |

Areal Land5 Landg Land?

Test PAT

endernic

w

ooooong

present
doubtfully present
native

As you can see the details view is still completely empt showing the message that nothing is yet selecte. But the first cell is already selected but as it
looks like the event was not passed to the Details View.

#50 - 01/29/2019 11:42 PM - Andreas Miiller

Generally it looks like now also empty distributions (no status) do get a Source now what is not expected. Source should only be attached when
creating a NEW distribution WITH status.

#51 - 01/29/2019 11:50 PM - Andreas Miiller

Andreas Muller wrote:

The dropbox for states opens on top. This leads to a cut of the list which makes it impossible to choose from the topmost states. In the following
screenshot there should be more available states abover "casual: presence questionable™:

naturalised: reported in error

tl
[] naturalised: presence questionable Fa (RO
Cue | R [] naturalized invasive: presence questionable cdr
[ naturalized nen-invasive /mode
roject  Run  Window Help [] naturalized non-invasive: presence questicnable
[] not endemic
e ) -
~0- % v G- i =) [] unknown endemism
[] absent 01161:
Edias Admin  Hilfe [] native: formerly native
S [] reported in error
uche ~ . .
[ native: reported in error
= B ||Merkmalsbaurn-Editor [] intreduced: reported in error
= <~=:€> [] intreduced: formerly introduced
ficatior| || Gebiete auswahlen | | Cu cultivated: reported in error
nport) [] endemic: reported in error
ation 5 Taxon 1 doubtfully native: reported in error
ation 5S¢ O]
0l

ation 5S¢ 1 Abies (ddd) albas
Bufonia kotsch}f..._

casual: reported in error
It

o Bintrnduced: dou...

, prese.. cultivated: repor...

litar

3 Mein zoow

. 4 Move testeins cultivated: repor...

Also this is still open

#52 - 01/29/2019 11:53 PM - Andreas Miiller
Andreas Muller wrote:
In preferences translate possible configuration terms "Show IdInVocabulary", ...
Also remove "Show" from all entries. Simply use "Label" (not title!), "Symbol 1" (please add whitespace), "Symbol 2", "ID in vocabulary"

(whitespace, no camel case!)

Also still open.
Could you please check the whole ticket for open issues and if you think they should not be implemented within this ticket clearly document this by
either rejecting them (with comment) or moving to another ticket.

#53 - 01/30/2019 10:02 AM - Katja Luther

Andreas Muller wrote:

It seems to be a problem with the enter cell event. Here | opened a fresh DistrEditor and clicked on the first empty cell.

Distribution Editor &2 = B ||[& Details &2
ekanntes Objelkt. Detailf |

Gebiete auswihlen | |Quel|e auswihlen |

Areal Land3 LandB Land7?

B
s L
s| ] TestPAT

] endemic
= ] present

[] doubtfully present

[ native

As you can see the details view is still completely empt showing the message that nothing is yet selecte. But the first cell is already selected but
as it looks like the event was not passed to the Details View.

Maybe there is a problem with the details view. Probably it is similar to the problem Walter reported last week.(#8026)

#54 - 01/30/2019 10:33 AM - Katja Luther

Andreas Muller wrote:
Andreas Miiller wrote:
In preferences translate possible configuration terms "Show IdInVocabulary", ...
Also remove "Show" from all entries. Simply use "Label" (not title!), "Symbol 1" (please add whitespace), "Symbol 2", "ID in vocabulary"
(whitespace, no camel case!)

Also still open.

this is fixed, but needs a server restart because it is a change in cdmlib

#55 - 01/30/2019 10:51 AM - Katja Luther

Andreas Muller wrote:

The filter for status shows the "None" state as default toString:

Areal Land3 L
te...| PresencefbsenceTerm®0<9610a568-6e67-45fa-B0eB-adddb514ddaa=
ida | Test PAT

endemic

present
doubtfully present
native

Please use a suitable label, e.g. "None"

Now there is a " - " because None was too long.

#56 - 01/30/2019 10:51 AM - Katja Luther

Andreas Muller wrote:

The dropbox for states has a checkbox. As it is only for selecting a single state this does not make sense as it gives the fealing as if multiple
select is possible.
this is fixed

#57 - 01/30/2019 02:59 PM - Katja Luther

Andreas Muller wrote:

Andreas Muller wrote:

The dropbox for states opens on top. This leads to a cut of the list which makes it impossible to choose from the topmost states. In the
following screenshot there should be more available states abover "casual: presence questionable":

tl
[[] naturalised: presence questionable Fa (BN
[ | A [] naturalized invasive: presence questionable cdr
[T naturalized non-invasive /mode
roject Run  Window Help S naturalized non-invasive: presence questionable
not endemic
| 0'%'5&? @'ES [ unknown endemism
[] absent 01161:
EBdra= Admin  Hilie [[] native: formerly native
P [] reported in error
suche ~ [] native: reported in error
= B || Merkmalsbaum-Editer | [] introduced: reported in error
= <~=:€> [] introeduced: formerly introduced
ficatior IE cultivated: reported in error
nport) [] endemic: reported in error
ation S Taxon 1 doubtfully native: reported in error
ation 5 [[] naturalised: reported in error
ation 54 1 Abies (ddd) albas | [] casual: reperted in error
tor Bufonia kotschy... CU|t|VEtEd|3|ntrnduced dou...
3 Mein zoow cultivated, prese... cultivated: repor...
. 4 Move testeins cultivated: repor...

Also this is still open

now there is a max visible items set and when the number of items is higher than this value a scroll bar appeears
#58 - 01/30/2019 03:07 PM - Katja Luther
Andreas Miller wrote:
Horizontal scrollbar should appear only if necessary. This is the case only after resize of the part. Should also be recomputed after area selection

changed.

this is fixed

#59 - 01/30/2019 03:13 PM - Katja Luther
Katja Luther wrote:

Andreas Muller wrote:

It seems to be a problem with the enter cell event. Here | opened a fresh DistrEditor and clicked on the first empty cell.
Distribution Editor &2 = B ||[& Details 22
ekanntes Objekt. Detailf |

Gebiete auswihlen | | Quelle auswihlen |

Areal Land3 Land& Land7

B
s O
o] [] Test PAT
| ] endemic
o N present

[] doubtfully present

[] native

As you can see the details view is still completely empt showing the message that nothing is yet selecte. But the first cell is already
selected but as it looks like the event was not passed to the Details View.

Maybe there is a problem with the details view. Probably it is similar to the problem Walter reported last week.(#8026)

now there is an empty details view if no distribution exist and after creating a new one it is updated correctly.

#60 - 01/30/2019 03:29 PM - Katja Luther

Andreas Muller wrote:

In general | wonder if the behaviour that clicking into the cell immediately opens the dropdown is really wanted. | often click into a cell simply to
leave the current selection/dropdown. E.g. | want to go to a cell below the currently selected cell without doing any selection. This is not possible
because the cell is not visible (covered by dropdown), so again | have to click in some cell which immediately opens a dropdown which is kind of
annoying. It often does not feel good.

To me it seems like a second click (e.g. on the dropdown arrow) or a double click is the better solution to distinguish selection (e.g. to just show
data in details view, etc.) and editing.

@Patrick: what is your configuration and experience in the matrix editor here?

the normal behaviour of the NATCombo is that with mousecklick the drop down is activated, but if you use the arrow keys to navigate through the
editor and with space bar you can open the drop down and with enter set the selected value.

#61 - 01/30/2019 03:37 PM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

| hope that all issues are solved now. In my tests all changes of cells are passed to the details view and the sources are always added to the new
distributions.

Please review.

#62 - 01/31/2019 10:44 AM - Andreas Muller

- Description updated

#63 - 01/31/2019 10:46 AM - Andreas Muller

- Description updated

#64 - 01/31/2019 10:52 AM - Andreas Miiller
- Related to bug #8043: ConstraintViolationException in distribution editor added

#65 - 01/31/2019 12:44 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miller to Katja Luther

Now, the rows are mixed somehow. Editing the 2 or 3 lines changes the first line. What | did:

e Open all taxa of classification edit-test/test1/Test
(predefined areas were all continents and all waterbodies, available status endemic, present, native)

In first line | set "Mein taxo"/Africa to "endemic".

Then | changed in 2nd line "Test drei"/Africa to present. => Also first line was changed to endemic automatically.
Then | changed in 3rd line "Taxon2"/Africa to native. => Also first line was changed to native automatically.

Also data were not saved. After saving and reopening the editor was empty.
#66 - 01/31/2019 12:51 PM - Andreas Miiller
Katja Luther wrote:

Andreas Miiller wrote:

Andreas Muller wrote:

The dropbox for states opens on top. This leads to a cut of the list which makes it impossible to choose from the topmost states. In the
following screenshot there should be more available states abover "casual: presence questionable":

tl
[[] naturalised: presence questicnable F2 (RN
Lot ‘ K [ naturalized invasive: presence questionable _Cd[‘
[[] naturalized non-invasive fmode
roject Run  Window Help S naturalized non-invasive: presence questionable
not endemic
-0~ % T # G~ ‘—Q? [T unknown endemism
[] absent 011612
Edras Admin  Hilfe [[] native: formerly native
ter T b berl [] reported in error
suche ~ [] native: reported in error
= B || Merkmalsbaum-Editoer | [ introduced: reported in error
= Q:D | introduced: formerly intreduced
ficatior @ cultivated: reported in error
nport) [] endemic: reported in error
ation S¢ Taxon 1 doubtfully native: reported in error
ation 5 [[] naturalised: reported in error

ation 3§ 1 Apies (ddd) albas | [] casual: reported in error

" Bufonia kotschy..| cultivated: Bintrnduced: dou...
itor
Mein zoow cultivated, prese... cultivated: repor...

. 4 Move testeins cultivated: repor...

Also this is still open

now there is a max visible items set and when the number of items is higher than this value a scroll bar appeears

Maybe we can make the number of status shown in the dropdown configurable, as sometimes you may want to have a longer list always available.
| opened a new ticket for such minor issues: #8047

#67 - 01/31/2019 03:15 PM - Katja Luther

Andreas Muller wrote:
Now, the rows are mixed somehow. Editing the 2 or 3 lines changes the first line. What | did:

Open all taxa of classification edit-test/test1/Test

(predefined areas were all continents and all waterbodies, available status endemic, present, native)

In first line | set "Mein taxo"/Africa to "endemic".

Then | changed in 2nd line "Test drei"/Africa to present. => Also first line was changed to endemic automatically.
Then | changed in 3rd line "Taxon2"/Africa to native. => Also first line was changed to native automatically.

Also data were not saved. After saving and reopening the editor was empty.

The saving issues is solved and | did not get the problem of hanging the distribution to the wrong taxon again. please review.

#68 - 01/31/2019 03:17 PM - Katja Luther
Katja Luther wrote:
Andreas Miiller wrote:
Now, the rows are mixed somehow. Editing the 2 or 3 lines changes the first line. What | did:

Open all taxa of classification edit-test/test1/Test

(predefined areas were all continents and all waterbodies, available status endemic, present, native)

In first line | set "Mein taxo"/Africa to "endemic".

Then | changed in 2nd line "Test drei"/Africa to present. => Also first line was changed to endemic automatically.
Then | changed in 3rd line "Taxon2"/Africa to native. => Also first line was changed to native automatically.

Also data were not saved. After saving and reopening the editor was empty.
The saving issues is solved and | did not get the problem of hanging the distribution to the wrong taxon again. please review.

| think the constraint violation exception was caused by the problems of putting the value to another TaxonDescription, | could not reproduce them
after fixing this issue.

#69 - 01/31/2019 04:43 PM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

#70 - 01/31/2019 06:30 PM - Andreas Miiller
- Copied to task #8047: Remaining issues in TaxDistributionEditor added

#71 - 01/31/2019 06:32 PM - Andreas Miiller
Andreas Muller wrote:
Not urgent but todo at some time: try to optimize the column width at start or after area selection. Details may be discussed. We have/had a

similar discussion for the bulk editor in some other ticket.

moved to #8047

#72 - 01/31/2019 06:33 PM - Andreas Miiller
- Description updated

#73 - 01/31/2019 06:38 PM - Andreas Miiller
Katja Luther wrote:
still open:
remember the column widths

L[]

o filterfor-distribution-columns
e rank column
L]
L]

handling of areas with more then one distribution

¢ column width was moved to #8047

e rank column is still open, please either implement or move to #8047 (if the later, we should remove the configuration param from preferences
and leave message in #8047 to switch it on again)

¢ handling of areas with more then one distribution: what is meant here? is it only the display? if yes, this is fixed | think, if not, please leave a note
what is meant and/or move to other ticket

#74 - 01/31/2019 06:44 PM - Andreas Miiller

Andreas Muller wrote:

Multiple cell selection in table is currently possible. As there is no function related to this we should remove this feature for now.

Still open issue. | moved it to #8047. If easy to fix please fix here and remove from there.

#75 - 02/01/2019 09:14 AM - Andreas Miiller

Filtering on status NONE does not work, but is maybe the most interesting of all filters
#76 - 02/01/2019 09:17 AM - Andreas Miiller

#77 - 02/01/2019 09:39 AM - Andreas Miiller

Maybe we can relabel "Default Source Reference" to "Default Source" to make it shorter. It is still clear this way.
And can we also translate it? Otherwise we have translated buttons but non translated labels in the same view.

#78 - 02/01/2019 09:46 AM - Andreas Miiller

It should be possible to delete the default reference somehow.
#79 - 02/01/2019 09:49 AM - Andreas Miiller
Katja Luther wrote:
Andreas Miiller wrote:
The filter for status shows the "None" state as default toString:

Please use a suitable label, e.g. "None"

Now there is a " - " because None was too long.

- "is ok | think, but | don't understand why "None" is too long. Other states have much longer labels.

#80 - 02/01/2019 09:53 AM - Andreas Miiller

Andreas Milller wrote:

Is there a possiblity to enter the dropdown only by key strokes? As we allow moving in the cells with arrow keys it might be a nice entering

performance feature to also allow data entry via keyboard.

Ahh, | see you have already answered this in #7854#note-60 . The only problem is that the user may not know it. Some documentation needed here (
#8047)

#81 - 02/01/2019 10:05 AM - Andreas Miiller
Andreas Miller wrote:
e remove factual data view, wenn opening distribution editor
This seems to work, but maybe we should document somehow what the wanted behavior is. If you open a taxon and go back to the DistrEditor
afterwords the view is there again. Is this wanted/accepted or do we expect another behavior?
Also have you checked the "Checklist perspective"? | think it is explicitly for using the distribution editor. Does it do what it should? Do we want to ask

the user to if he want's to open the "Checklist persp" when opening DistrEditor? Do we want to rename the perspective to something like "Distribution
(Editor?)"?

#82 - 02/01/2019 10:16 AM - Andreas Miuller

Can you leave a message how the sorting is implemented now? To me it looks like Rank + alphabet. True? But maybe we also need something
which is related to the tree structure in the navigator, so children of a taxon come first though they have a lower rank. Can go into follow up ticket.

#83 - 02/01/2019 10:19 AM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther

Congratulations. The Distr. Editor seems to work correctly now (except for the minor issues and improvements starting from #7854#note-73 and those
mentioned in follow up #8047 . Please decide what can be done within this ticket and what should be moved to follow up (IMO deleting default source
is most important).

It is now fun to work with the editor!

#84 - 02/01/2019 10:20 AM - Andreas Miiller
- % Done changed from 30 to 60
#85 - 02/01/2019 10:32 AM - Katja Luther
Andreas Milller wrote:
Andreas Miiller wrote:
e remove factual data view, wenn opening distribution editor
This seems to work, but maybe we should document somehow what the wanted behavior is. If you open a taxon and go back to the DistrEditor
afterwords the view is there again. Is this wanted/accepted or do we expect another behavior?
no this is not the wanted behaviour, but the handling of switching between the views is not implemented yet.
Also have you checked the "Checklist perspective"? | think it is explicitly for using the distribution editor. Does it do what it should? Do we want to

ask the user to if he want's to open the "Checklist persp" when opening DistrEditor? Do we want to rename the perspective to something like
"Distribution (Editor?)"?

The perspective is something else, this is a perspective where the media view is hidden as default and should be used for checklist (originally it
comes from the redlist project)

#86 - 02/01/2019 12:42 PM - Katja Luther
Andreas Miller wrote:
Can you leave a message how the sorting is implemented now? To me it looks like Rank + alphabet. True? But maybe we also need something

which is related to the tree structure in the navigator, so children of a taxon come first though they have a lower rank. Can go into follow up
ticket.

yes it is rank and alphabet, | move this to the follow up ticket
#87 - 02/01/2019 03:18 PM - Andreas Miiller
Katja Luther wrote:
Andreas Miiller wrote:
Can you leave a message how the sorting is implemented now? To me it looks like Rank + alphabet. True? But maybe we also need

something which is related to the tree structure in the navigator, so children of a taxon come first though they have a lower rank. Can go
into follow up ticket.

yes it is rank and alphabet, | move this to the follow up ticket

yes, or better make it configurable as we have discussed before (did we create a ticket for this or was it only by mail?). | left a note in #8047

#88 - 02/05/2019 09:47 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

Can we close this ticket, the remaining issues are moved to the follow up ticket, aren't they?
#89 - 02/05/2019 11:36 AM - Andreas Miiller

Not all of them are moved. Some are still open here

note-73 last question

note-75

note-77

note-78

note-79 (but is only a question)

Can you either implement/answer them or move them to the follow up ticket? Afterwards we can close this ticket.
#90 - 02/05/2019 11:40 AM - Andreas Miiller

Katja Luther wrote:

Andreas Muller wrote:
Also have you checked the "Checklist perspective"? | think it is explicitly for using the distribution editor. Does it do what it should? Do we
want to ask the user to if he want's to open the "Checklist persp" when opening DistrEditor? Do we want to rename the perspective to
something like "Distribution (Editor?)"?

The perspective is something else, this is a perspective where the media view is hidden as default and should be used for checklist (originally it
comes from the redlist project)

But the distribution editor was originally called checklist editor. | am quite sure that this perspective was developed for the now called distribution
editor orginally. And it makes sense, but should also remove the Facts View there, | think. And | still suggest to rename it to "Distribution" perspective.

#91 - 02/06/2019 10:14 AM - Katja Luther
Andreas Miller wrote:
Not all of them are moved. Some are still open here

note-73 last question

if the actual handling of multiple distributions for one area is ok, we can keep it as it is

note-75

this works now. see Revision 663a45e5

note-77

is implemented

note-78

there is a third button for removing the default source

note-79 (but is only a question)

| tried to use None, but | thought it does not look nice.

Can you either implement/answer them or move them to the follow up ticket? Afterwards we can close this ticket.

#92 - 02/06/2019 10:43 AM - Andreas Miiller

- Status changed from Feedback to Resolved

#93 - 02/07/2019 12:51 PM - Andreas Miiller
- Status changed from Resolved to Closed

- Assignee changed from Andreas Muiller to Katja Luther

Ok, this now works. | add some minor issues for the "Source" buttons to the follow up ticket #8047.

#94 - 01/19/2021 09:33 AM - Andreas Miiller

- Related to feature request #8889: Remaining issues for distribution editor - continue added
